edu.wpi.cscore

## Enum VideoProperty.Kind

- java.lang.Object
- - java.lang.Enum<VideoProperty.Kind>
  - - edu.wpi.cscore.VideoProperty.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VideoProperty.Kind>
  Enclosing class:
    VideoProperty

      public static enum VideoProperty.Kind
      extends java.lang.Enum<VideoProperty.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kBoolean`
    `kEnum`
    `kInteger`
    `kNone`
    `kString`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static VideoProperty.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VideoProperty.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kNone

          public static final VideoProperty.Kind kNone

    - #### kBoolean

          public static final VideoProperty.Kind kBoolean

    - #### kInteger

          public static final VideoProperty.Kind kInteger

    - #### kString

          public static final VideoProperty.Kind kString

    - #### kEnum

          public static final VideoProperty.Kind kEnum

  - ### Method Detail

    - #### values

          public static VideoProperty.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoProperty.Kind c : VideoProperty.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoProperty.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()